Package bitel.billing.server.contract.bean

# Class ContractGroupManager

java.lang.Object
bitel.billing.server.contract.bean.ContractGroupManager

    public class ContractGroupManager
    extends java.lang.Object

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `protected java.sql.Connection` | `con` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `ContractGroupManager​(java.sql.Connection con)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `java.util.List<ContractGroup>` | `getEnableGroupList()` |
  `java.util.List<ContractGroup>` | `getGroupList()` |
  `java.util.List<ContractGroup>` | `getGroupList​(boolean all)` |
  `java.util.List<ContractGroup>` | `getGroupList​(long groupMask)` |
  `java.util.Map<java.lang.Integer,​java.lang.Integer>` | `getStatMap()` |
  `boolean` | `isEditable​(int id)` |
  `void` | `updateGroup​(ContractGroup contractGroup)` |

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### con

    protected java.sql.Connection con

- ## Constructor Details

  - ### ContractGroupManager

    public ContractGroupManager​(java.sql.Connection con)

- ## Method Details

  - ### getGroupList

    public java.util.List<ContractGroup> getGroupList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGroupList

    public java.util.List<ContractGroup> getGroupList​(long groupMask) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getEnableGroupList

    public java.util.List<ContractGroup> getEnableGroupList() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getGroupList

    public java.util.List<ContractGroup> getGroupList​(boolean all) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### isEditable

    public boolean isEditable​(int id) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### updateGroup

    public void updateGroup​(ContractGroup contractGroup) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getStatMap

    public java.util.Map<java.lang.Integer,​java.lang.Integer> getStatMap() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`